.TH DITAA 1 "April 15, 2010"
.SH NAME
ditaa \- convert ASCII diagrams into proper bitmap graphics
.SH SYNOPSIS
.B ditaa
.RI [ options ] " input " [ output ]
.SH DESCRIPTION
This manual page documents briefly the \fBditaa\fR command.
.PP
\fBDiTAA\fR is a small command-line utility that can convert diagrams drawn using
ASCII art ("drawings" that contain characters that resemble lines, like | /
and -), into proper bitmap graphics.
.PP
DiTAA also uses special markup syntax to increase the possibilities of shapes
and symbols that can be rendered.
.SH OPTIONS
.TP
.B \-\-help
Show summary of options.
.TP
.B \-v, \-\-verbose
Makes ditaa more verbose.
.TP
.B \-A, \-\-no\-antialias
Turns anti-aliasing off.
.TP
.B \-d, \-\-debug
Renders the debug grid over the resulting image.
.TP
.B \-E, \-\-no\-separation
Prevents the separation of common edges of shapes.
.TP
\fB\-e\fR \fIENCODING\fR, \fB\-\-encoding\fR \fIENCODING\fR
The encoding of the input file.
.TP
.B \-h, \-\-html
In this case the input is an HTML file. The contents of the \fI<pre class="textdiagram">\fR
tags are rendered as diagrams and saved in the images directory and a new HTML file is
produced with the appropriate <img> tags.
.TP
.B \-o, \-\-overwrite
If the filename of the destination image already exists, an alternative name is chosen.
If the overwrite option is selected, the image file is instead overwriten.
.TP
.B \-r, \-\-round\-corners
Causes all corners to be rendered as round corners.
.TP
\fB\-s\fR \fISCALE\fR, \fB\-\-scale\fR \fISCALE\fR
A natural number that determines the size of the rendered image. The units are fractions of
the default size (2.5 renders 1.5 times bigger than the default).
.TP
.B \-S, \-\-no\-shadows
Turns off the drop-shadow effect.
.TP
\fB\-t\fR \fITABS\fR, \fB\-\-tabs\fR \fITABS\fR
Tabs are normally interpreted as 8 spaces but it is possible to change that using this
option. It is not advisable to use tabs in your diagrams.
.SH AUTHOR
DiTAA was written by Efstathios (Stathis) Sideris.
.PP
This manual page was written by David Paleino <dapal@debian.org>,
for the Debian project (and may be used by others).
